排程与发布
列出排程帖子
列出 工作区 的排程帖子,可依项目、状态(scheduled、publishing、published、failed、expired、needs_reschedule、cancelled、deleted)及时间范围筛选,使用游标分页。
POST /studio-api/scheduled-posts/list契约审核日期: · sha256:563d2d581da0ad29
概览
列出 工作区 的排程帖子,可依项目、状态(scheduled、publishing、published、failed、expired、needs_reschedule、cancelled、deleted)及时间范围筛选,使用游标分页。
成功 HTTP 响应可能表示请求已接受,并非已完成。背景工作请存储返回 ID,持续检查同一操作直到完成。已排程或已接受的帖子,只有平台确认后才算已发布;客户端逾时无法证明结果。
验证与权限
令牌只能使用其所有者持有的权利。每次请求会检查工作区成员资格、资源拥有权、所选工作区及已授予能力。core 与 full 配置只变更显示的工具,不会授予访问权限。
请求字段
「必填」是指在其父对象及所选分支内必填。必填子字段不会使可选父对象变成必填。下列规则与字段名称均复制自契约。
| 字段 / 分支 | 类型 / 必填 | 约束 |
|---|---|---|
$ | object在父对象中必填 |
|
workspace_id | string在父对象中必填 |
|
project_id | string可选/项目 |
|
status | string可选/项目 |
|
scheduled_from | string可选/项目 |
|
scheduled_to | string可选/项目 |
|
limit | integer可选/项目 |
|
cursor | object可选/项目 |
|
cursor.scheduled_at | string在父对象中必填 |
|
cursor.id | string在父对象中必填 |
|
完整 JSON Schema
{
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"workspace_id": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"project_id": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"status": {
"type": "string",
"enum": [
"scheduled",
"publishing",
"published",
"failed",
"expired",
"needs_reschedule",
"cancelled",
"deleted"
]
},
"scheduled_from": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
},
"scheduled_to": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
},
"limit": {
"default": 50,
"type": "integer",
"minimum": 1,
"maximum": 200
},
"cursor": {
"type": "object",
"properties": {
"scheduled_at": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
},
"id": {
"type": "string",
"pattern": "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$"
}
},
"required": [
"scheduled_at",
"id"
],
"additionalProperties": false
}
},
"required": [
"workspace_id"
],
"additionalProperties": false
}响应与完成
成功 HTTP 状态:200。操作完成时: synchronous_http_response.
成功 HTTP 响应可能表示请求已接受,并非已完成。背景工作请存储返回 ID,持续检查同一操作直到完成。已排程或已接受的帖子,只有平台确认后才算已发布;客户端逾时无法证明结果。
「必填」是指在其父对象及所选分支内必填。必填子字段不会使可选父对象变成必填。下列规则与字段名称均复制自契约。
| 字段 / 分支 | 类型 / 必填 | 约束 |
|---|---|---|
$ | object在父对象中必填 | — |
posts | array在父对象中必填 | — |
posts[] | object可选/项目 | — |
posts[].id | string在父对象中必填 |
|
posts[].workspace_id | string在父对象中必填 |
|
posts[].social_account_id | string | null在父对象中必填 | — |
posts[].social_account_idanyOf 1 | string在父对象中必填 |
|
posts[].social_account_idanyOf 2 | null在父对象中必填 | — |
posts[].platform | string在父对象中必填 |
|
posts[].destination | object在父对象中必填 | — |
posts[].destination.social_account_id | string | null在父对象中必填 | — |
posts[].destination.social_account_idanyOf 1 | string在父对象中必填 |
|
posts[].destination.social_account_idanyOf 2 | null在父对象中必填 | — |
posts[].destination.platform | string在父对象中必填 |
|
posts[].destination.platform_user_id | string | null在父对象中必填 | — |
posts[].destination.platform_user_idanyOf 1 | string在父对象中必填 | — |
posts[].destination.platform_user_idanyOf 2 | null在父对象中必填 | — |
posts[].destination.account_label | string | null在父对象中必填 | — |
posts[].destination.account_labelanyOf 1 | string在父对象中必填 | — |
posts[].destination.account_labelanyOf 2 | null在父对象中必填 | — |
posts[].caption | string | null在父对象中必填 | — |
posts[].captionanyOf 1 | string在父对象中必填 | — |
posts[].captionanyOf 2 | null在父对象中必填 | — |
posts[].hashtags | array在父对象中必填 | — |
posts[].hashtags[] | string可选/项目 | — |
posts[].media | array在父对象中必填 | — |
posts[].media[] | object可选/项目 | — |
posts[].media[].kind | string在父对象中必填 |
|
posts[].media[].url | string在父对象中必填 |
|
posts[].media[].cover_url | string | null可选/项目 | — |
posts[].media[].cover_urlanyOf 1 | string可选/项目 |
|
posts[].media[].cover_urlanyOf 2 | null可选/项目 | — |
posts[].media[].cover_asset_id | integer | null可选/项目 | — |
posts[].media[].cover_asset_idanyOf 1 | integer可选/项目 |
|
posts[].media[].cover_asset_idanyOf 2 | null可选/项目 | — |
posts[].media[].asset_id | integer | null可选/项目 | — |
posts[].media[].asset_idanyOf 1 | integer可选/项目 |
|
posts[].media[].asset_idanyOf 2 | null可选/项目 | — |
posts[].media[].mime_type | string | null可选/项目 | — |
posts[].media[].mime_typeanyOf 1 | string可选/项目 |
|
posts[].media[].mime_typeanyOf 2 | null可选/项目 | — |
posts[].media[].preview_url | string | null可选/项目 | 暂时授权的读取 URL;保留 url 作为排程帖子的持久媒体身分。 — |
posts[].media[].preview_urlanyOf 1 | string可选/项目 |
|
posts[].media[].preview_urlanyOf 2 | null可选/项目 | — |
posts[].media[].cover_preview_url | string | null可选/项目 | 暂时授权的封面读取 URL;保留 cover_url 作为持久媒体身分。 — |
posts[].media[].cover_preview_urlanyOf 1 | string可选/项目 |
|
posts[].media[].cover_preview_urlanyOf 2 | null可选/项目 | — |
posts[].media[].preview_expires_at | string | null可选/项目 | — |
posts[].media[].preview_expires_atanyOf 1 | string可选/项目 |
|
posts[].media[].preview_expires_atanyOf 2 | null可选/项目 | — |
posts[].link_url | string | null可选/项目 | — |
posts[].link_urlanyOf 1 | string可选/项目 |
|
posts[].link_urlanyOf 2 | null可选/项目 | — |
posts[].publish_options | object在父对象中必填 | — |
posts[].publish_options.post_type | string可选/项目 |
|
posts[].publish_options.location_id | string可选/项目 |
|
posts[].publish_options.share_to_feed | boolean可选/项目 | — |
posts[].publish_options.collaborators | array可选/项目 |
|
posts[].publish_options.collaborators[] | string可选/项目 |
|
posts[].publish_options.first_comment | string可选/项目 |
|
posts[].publish_options.topic_tag | string可选/项目 |
|
posts[].publish_options.thumb_offset_ms | integer可选/项目 |
|
posts[].publish_options.title | string可选/项目 |
|
posts[].publish_options.youtube_privacy_status | string可选/项目 |
|
posts[].publish_options.youtube_category_id | string可选/项目 |
|
posts[].publish_options.youtube_contains_synthetic_media | boolean可选/项目 | — |
posts[].publish_options.description | string可选/项目 |
|
posts[].publish_options.category_id | string可选/项目 |
|
posts[].publish_options.privacy_status | string可选/项目 |
|
posts[].publish_options.cancellation_mode | string可选/项目 |
|
posts[].publish_options.tags | array可选/项目 | — |
posts[].publish_options.tags[] | string可选/项目 | — |
posts[].publish_options.default_language | string可选/项目 | — |
posts[].publish_options.localizations | object可选/项目 |
|
posts[].publish_options.localizations.* | any JSON value可选/项目 | — |
posts[].publish_options.license | string可选/项目 |
|
posts[].publish_options.embeddable | boolean可选/项目 | — |
posts[].publish_options.public_stats_viewable | boolean可选/项目 | — |
posts[].publish_options.self_declared_made_for_kids | boolean可选/项目 | — |
posts[].publish_options.contains_synthetic_media | boolean可选/项目 | — |
posts[].publish_options.has_paid_product_placement | boolean可选/项目 | — |
posts[].publish_options.recording_date | string可选/项目 | — |
posts[].publish_options.notify_subscribers | boolean可选/项目 | — |
posts[].publish_options.thumbnail_asset_id | integer可选/项目 |
|
posts[].publish_options.surface_expectation | string可选/项目 |
|
posts[].publish_options.brand_partner | object可选/项目 |
|
posts[].publish_options.brand_partner.* | any JSON value可选/项目 | — |
posts[].publish_options.cover_asset_id | integer可选/项目 |
|
posts[].publish_options.audio_name | string可选/项目 | — |
posts[].publish_options.trial_params | object可选/项目 |
|
posts[].publish_options.trial_params.* | any JSON value可选/项目 | — |
posts[].publish_options.is_ai_generated | boolean可选/项目 | — |
posts[].publish_options.branded_content_sponsor_ids | array可选/项目 | — |
posts[].publish_options.branded_content_sponsor_ids[] | string可选/项目 | — |
posts[].publish_options.is_paid_partnership | boolean可选/项目 | — |
posts[].publish_options.media_options | array可选/项目 | — |
posts[].publish_options.media_options[] | object可选/项目 |
|
posts[].publish_options.media_options[].* | any JSON value可选/项目 | — |
posts[].publish_options.reply_to_id | string可选/项目 | — |
posts[].publish_options.quote_post_id | string可选/项目 | — |
posts[].publish_options.repost_target_id | string可选/项目 | — |
posts[].publish_options.reply_control | string可选/项目 | — |
posts[].publish_options.enable_reply_approvals | boolean可选/项目 | — |
posts[].publish_options.link_attachment | string可选/项目 |
|
posts[].publish_options.poll_attachment | object可选/项目 |
|
posts[].publish_options.poll_attachment.* | any JSON value可选/项目 | — |
posts[].publish_options.gif_attachment | object可选/项目 |
|
posts[].publish_options.gif_attachment.* | any JSON value可选/项目 | — |
posts[].publish_options.text_attachment | object可选/项目 |
|
posts[].publish_options.text_attachment.* | any JSON value可选/项目 | — |
posts[].publish_options.text_entities | array可选/项目 | — |
posts[].publish_options.text_entities[] | object可选/项目 |
|
posts[].publish_options.text_entities[].* | any JSON value可选/项目 | — |
posts[].publish_options.is_spoiler_media | boolean可选/项目 | — |
posts[].publish_options.is_ghost_post | boolean可选/项目 | — |
posts[].publish_options.allowlisted_country_codes | array可选/项目 | — |
posts[].publish_options.allowlisted_country_codes[] | string可选/项目 | — |
posts[].publish_options.crossreshare_to_ig | boolean可选/项目 | — |
posts[].publish_options.crossreshare_to_ig_dark_mode | boolean可选/项目 | — |
posts[].publish_options.auto_publish_text | boolean可选/项目 | — |
posts[].publish_options.publication_mode | string可选/项目 |
|
posts[].publish_options.backdated_time | number可选/项目 | — |
posts[].publish_options.backdated_time_granularity | string可选/项目 |
|
posts[].publish_options.place | string可选/项目 | — |
posts[].publish_options.feed_targeting | object可选/项目 |
|
posts[].publish_options.feed_targeting.* | any JSON value可选/项目 | — |
posts[].publish_options.targeting | object可选/项目 |
|
posts[].publish_options.targeting.* | any JSON value可选/项目 | — |
posts[].publish_options.child_attachments | array可选/项目 | — |
posts[].publish_options.child_attachments[] | object可选/项目 |
|
posts[].publish_options.child_attachments[].* | any JSON value可选/项目 | — |
posts[].publish_options.multi_share_end_card | boolean可选/项目 | — |
posts[].publish_options.multi_share_optimized | boolean可选/项目 | — |
posts[].publish_options.unpublished_content_type | string可选/项目 | — |
posts[].publish_options.no_story | boolean可选/项目 | — |
posts[].publish_options.crossposted_video_id | string可选/项目 | — |
posts[].publish_options.spherical | boolean可选/项目 | — |
posts[].scheduled_at | string在父对象中必填 | — |
posts[].display_timezone | string在父对象中必填 |
|
posts[].local_scheduled_at | string | null可选/项目 | — |
posts[].local_scheduled_atanyOf 1 | string可选/项目 |
|
posts[].local_scheduled_atanyOf 2 | null可选/项目 | — |
posts[].schedule_timezone | string | null可选/项目 | — |
posts[].schedule_timezoneanyOf 1 | string可选/项目 |
|
posts[].schedule_timezoneanyOf 2 | null可选/项目 | — |
posts[].schedule_dst_disambiguation | string | null可选/项目 | — |
posts[].schedule_dst_disambiguationanyOf 1 | string可选/项目 |
|
posts[].schedule_dst_disambiguationanyOf 2 | null可选/项目 | — |
posts[].schedule_intent_state | string可选/项目 |
|
posts[].expires_at | string | null在父对象中必填 | — |
posts[].expires_atanyOf 1 | string在父对象中必填 | — |
posts[].expires_atanyOf 2 | null在父对象中必填 | — |
posts[].status | string在父对象中必填 |
|
posts[].version | integer在父对象中必填 |
|
posts[].automatic_retry_enabled | boolean在父对象中必填 | — |
posts[].delete_requested_at | string | null在父对象中必填 | — |
posts[].delete_requested_atanyOf 1 | string在父对象中必填 | — |
posts[].delete_requested_atanyOf 2 | null在父对象中必填 | — |
posts[].published_at | string | null在父对象中必填 | — |
posts[].published_atanyOf 1 | string在父对象中必填 | — |
posts[].published_atanyOf 2 | null在父对象中必填 | — |
posts[].deleted_at | string | null在父对象中必填 | — |
posts[].deleted_atanyOf 1 | string在父对象中必填 | — |
posts[].deleted_atanyOf 2 | null在父对象中必填 | — |
posts[].provider_post_id | string | null在父对象中必填 | — |
posts[].provider_post_idanyOf 1 | string在父对象中必填 | — |
posts[].provider_post_idanyOf 2 | null在父对象中必填 | — |
posts[].permalink | string | null在父对象中必填 | — |
posts[].permalinkanyOf 1 | string在父对象中必填 |
|
posts[].permalinkanyOf 2 | null在父对象中必填 | — |
posts[].created_at | string在父对象中必填 | — |
posts[].updated_at | string在父对象中必填 | — |
posts[].project_id | string | null在父对象中必填 | — |
posts[].project_idanyOf 1 | string在父对象中必填 |
|
posts[].project_idanyOf 2 | null在父对象中必填 | — |
posts[].batch_id | string | null在父对象中必填 | — |
posts[].batch_idanyOf 1 | string在父对象中必填 |
|
posts[].batch_idanyOf 2 | null在父对象中必填 | — |
posts[].source_ref | object | null在父对象中必填 | — |
posts[].source_refanyOf 1 | object在父对象中必填 |
|
posts[].source_ref.*anyOf 1 | any JSON value可选/项目 | — |
posts[].source_refanyOf 2 | null在父对象中必填 | — |
next_cursor | object | null在父对象中必填 | — |
next_cursoranyOf 1 | object在父对象中必填 | — |
next_cursor.scheduled_atanyOf 1 | string在父对象中必填 |
|
next_cursor.idanyOf 1 | string在父对象中必填 |
|
next_cursoranyOf 2 | null在父对象中必填 | — |
returned_count | integer在父对象中必填 |
|
完整 JSON Schema
{
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"posts": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"pattern": "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$"
},
"workspace_id": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"social_account_id": {
"anyOf": [
{
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
{
"type": "null"
}
]
},
"platform": {
"type": "string",
"enum": [
"instagram",
"threads",
"facebook",
"youtube",
"x"
]
},
"destination": {
"type": "object",
"properties": {
"social_account_id": {
"anyOf": [
{
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
{
"type": "null"
}
]
},
"platform": {
"type": "string",
"enum": [
"instagram",
"threads",
"facebook",
"youtube",
"x"
]
},
"platform_user_id": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"account_label": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"social_account_id",
"platform",
"platform_user_id",
"account_label"
]
},
"caption": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"hashtags": {
"type": "array",
"items": {
"type": "string"
}
},
"media": {
"type": "array",
"items": {
"type": "object",
"properties": {
"kind": {
"type": "string",
"enum": [
"image",
"video"
]
},
"url": {
"type": "string",
"format": "uri"
},
"cover_url": {
"anyOf": [
{
"type": "string",
"format": "uri"
},
{
"type": "null"
}
]
},
"cover_asset_id": {
"anyOf": [
{
"type": "integer",
"exclusiveMinimum": 0,
"maximum": 9007199254740991
},
{
"type": "null"
}
]
},
"asset_id": {
"anyOf": [
{
"type": "integer",
"exclusiveMinimum": 0,
"maximum": 9007199254740991
},
{
"type": "null"
}
]
},
"mime_type": {
"anyOf": [
{
"type": "string",
"minLength": 1,
"maxLength": 160
},
{
"type": "null"
}
]
},
"preview_url": {
"description": "Temporary authorized read URL; keep url as persisted Scheduled Post media identity.",
"anyOf": [
{
"type": "string",
"format": "uri"
},
{
"type": "null"
}
]
},
"cover_preview_url": {
"description": "Temporary authorized cover read URL; keep cover_url as persisted media identity.",
"anyOf": [
{
"type": "string",
"format": "uri"
},
{
"type": "null"
}
]
},
"preview_expires_at": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
},
{
"type": "null"
}
]
}
},
"required": [
"kind",
"url"
]
}
},
"link_url": {
"anyOf": [
{
"type": "string",
"format": "uri"
},
{
"type": "null"
}
]
},
"publish_options": {
"type": "object",
"properties": {
"post_type": {
"type": "string",
"enum": [
"TEXT",
"LINK",
"IMAGE",
"MULTI_IMAGE",
"VIDEO",
"CAROUSEL",
"REELS",
"STORY_IMAGE",
"STORY_VIDEO",
"REPOST",
"SHORT"
]
},
"location_id": {
"type": "string",
"minLength": 1
},
"share_to_feed": {
"type": "boolean"
},
"collaborators": {
"maxItems": 3,
"type": "array",
"items": {
"type": "string",
"minLength": 1
}
},
"first_comment": {
"type": "string",
"minLength": 1,
"maxLength": 2200
},
"topic_tag": {
"type": "string",
"minLength": 1
},
"thumb_offset_ms": {
"type": "integer",
"minimum": 0,
"maximum": 9007199254740991
},
"title": {
"type": "string",
"maxLength": 255
},
"youtube_privacy_status": {
"type": "string",
"enum": [
"private",
"unlisted",
"public"
]
},
"youtube_category_id": {
"type": "string",
"pattern": "^\\d+$"
},
"youtube_contains_synthetic_media": {
"type": "boolean"
},
"description": {
"type": "string",
"maxLength": 5000
},
"category_id": {
"type": "string",
"pattern": "^\\d+$"
},
"privacy_status": {
"type": "string",
"enum": [
"private",
"unlisted",
"public"
]
},
"cancellation_mode": {
"type": "string",
"enum": [
"DELETE",
"UNSCHEDULE_KEEP_PRIVATE"
]
},
"tags": {
"type": "array",
"items": {
"type": "string"
}
},
"default_language": {
"type": "string"
},
"localizations": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {}
},
"license": {
"type": "string",
"enum": [
"youtube",
"creativeCommon"
]
},
"embeddable": {
"type": "boolean"
},
"public_stats_viewable": {
"type": "boolean"
},
"self_declared_made_for_kids": {
"type": "boolean"
},
"contains_synthetic_media": {
"type": "boolean"
},
"has_paid_product_placement": {
"type": "boolean"
},
"recording_date": {
"type": "string"
},
"notify_subscribers": {
"type": "boolean"
},
"thumbnail_asset_id": {
"type": "integer",
"exclusiveMinimum": 0,
"maximum": 9007199254740991
},
"surface_expectation": {
"type": "string",
"const": "SHORT"
},
"brand_partner": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {}
},
"cover_asset_id": {
"type": "integer",
"exclusiveMinimum": 0,
"maximum": 9007199254740991
},
"audio_name": {
"type": "string"
},
"trial_params": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {}
},
"is_ai_generated": {
"type": "boolean"
},
"branded_content_sponsor_ids": {
"type": "array",
"items": {
"type": "string"
}
},
"is_paid_partnership": {
"type": "boolean"
},
"media_options": {
"type": "array",
"items": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {}
}
},
"reply_to_id": {
"type": "string"
},
"quote_post_id": {
"type": "string"
},
"repost_target_id": {
"type": "string"
},
"reply_control": {
"type": "string"
},
"enable_reply_approvals": {
"type": "boolean"
},
"link_attachment": {
"type": "string",
"format": "uri"
},
"poll_attachment": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {}
},
"gif_attachment": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {}
},
"text_attachment": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {}
},
"text_entities": {
"type": "array",
"items": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {}
}
},
"is_spoiler_media": {
"type": "boolean"
},
"is_ghost_post": {
"type": "boolean"
},
"allowlisted_country_codes": {
"type": "array",
"items": {
"type": "string"
}
},
"crossreshare_to_ig": {
"type": "boolean"
},
"crossreshare_to_ig_dark_mode": {
"type": "boolean"
},
"auto_publish_text": {
"type": "boolean"
},
"publication_mode": {
"type": "string",
"enum": [
"PUBLISH",
"DRAFT"
]
},
"backdated_time": {
"type": "number"
},
"backdated_time_granularity": {
"type": "string",
"enum": [
"year",
"month",
"day",
"hour",
"minute"
]
},
"place": {
"type": "string"
},
"feed_targeting": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {}
},
"targeting": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {}
},
"child_attachments": {
"type": "array",
"items": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {}
}
},
"multi_share_end_card": {
"type": "boolean"
},
"multi_share_optimized": {
"type": "boolean"
},
"unpublished_content_type": {
"type": "string"
},
"no_story": {
"type": "boolean"
},
"crossposted_video_id": {
"type": "string"
},
"spherical": {
"type": "boolean"
}
}
},
"scheduled_at": {
"type": "string"
},
"display_timezone": {
"type": "string",
"minLength": 1,
"maxLength": 80
},
"local_scheduled_at": {
"anyOf": [
{
"type": "string",
"pattern": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}(?::\\d{2}(?:\\.\\d{1,6})?)?$"
},
{
"type": "null"
}
]
},
"schedule_timezone": {
"anyOf": [
{
"type": "string",
"minLength": 1,
"maxLength": 80
},
{
"type": "null"
}
]
},
"schedule_dst_disambiguation": {
"anyOf": [
{
"type": "string",
"enum": [
"exact",
"earlier",
"later"
]
},
{
"type": "null"
}
]
},
"schedule_intent_state": {
"type": "string",
"enum": [
"verified",
"legacy_unverified"
]
},
"expires_at": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"status": {
"type": "string",
"enum": [
"scheduled",
"publishing",
"published",
"failed",
"expired",
"needs_reschedule",
"cancelled",
"deleted"
]
},
"version": {
"type": "integer",
"exclusiveMinimum": 0,
"maximum": 9007199254740991
},
"automatic_retry_enabled": {
"type": "boolean"
},
"delete_requested_at": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"published_at": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"deleted_at": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"provider_post_id": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"permalink": {
"anyOf": [
{
"type": "string",
"format": "uri"
},
{
"type": "null"
}
]
},
"created_at": {
"type": "string"
},
"updated_at": {
"type": "string"
},
"project_id": {
"anyOf": [
{
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
{
"type": "null"
}
]
},
"batch_id": {
"anyOf": [
{
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
{
"type": "null"
}
]
},
"source_ref": {
"anyOf": [
{
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {}
},
{
"type": "null"
}
]
}
},
"required": [
"id",
"workspace_id",
"social_account_id",
"platform",
"destination",
"caption",
"hashtags",
"media",
"publish_options",
"scheduled_at",
"display_timezone",
"expires_at",
"status",
"version",
"automatic_retry_enabled",
"delete_requested_at",
"published_at",
"deleted_at",
"provider_post_id",
"permalink",
"created_at",
"updated_at",
"project_id",
"batch_id",
"source_ref"
]
}
},
"next_cursor": {
"anyOf": [
{
"type": "object",
"properties": {
"scheduled_at": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
},
"id": {
"type": "string",
"pattern": "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$"
}
},
"required": [
"scheduled_at",
"id"
]
},
{
"type": "null"
}
]
},
"returned_count": {
"type": "integer",
"minimum": 0,
"maximum": 9007199254740991
}
},
"required": [
"posts",
"next_cursor",
"returned_count"
]
}错误与安全重试
检查 HTTP 状态和响应正文。400 验证错误可能包含 ZodError;处理程序错误使用 error、message 和 code 字段。保留 request_id 或 x-request-id 以便诊断,但不要保留凭证。先解决 401/403 访问错误再重试,并在收到 429 时遵循 Retry-After。如写入结果不确定或返回 5xx,先读取现有结果。仅在支持时复用幂等键;重试行为因操作而异,并不保证恰好交付一次。
故障排查指南示例
这些示例使用已依schema检查的虚构值。请将 ID 替换为你有权使用的 ID、将媒体替换为已就绪素材,并将日期替换为已确认的发布时间。提交写入前,请检查账号资格。本页不会发送 API 请求。
在服务器上将 SOSOAPI_ACCESS_TOKEN 设为此操作接受的凭证,且不要放入浏览器代码。agent 请使用 sosoapi auth login 通过浏览器登录,并由 CLI 更新凭证。
request.json
{
"workspace_id": "11111111-1111-4111-8111-111111111111"
}cURL
curl --request POST \
"https://gqeshlawtcexsapabaui.supabase.co/functions/v1/studio-api/scheduled-posts/list" \
-H "Authorization: Bearer $SOSOAPI_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
--data-binary @request.jsonJavaScript
// Server-side JavaScript. Do not print tokens or credential-bearing responses.
const token = process.env.SOSOAPI_ACCESS_TOKEN;
if (!token) throw new Error("Set an accepted credential for this operation");
const response = await fetch("https://gqeshlawtcexsapabaui.supabase.co/functions/v1/studio-api/scheduled-posts/list", {
method: "POST",
headers: { "Content-Type": "application/json", Authorization: "Bearer " + token },
body: JSON.stringify({
"workspace_id": "11111111-1111-4111-8111-111111111111"
})
});
const result = await response.json();
// Check response.ok, the operation-specific body and completion state before continuing.CLI
npx sosoapi api post /studio-api/scheduled-posts/list < request.json合成响应示例
{
"posts": [],
"next_cursor": null,
"returned_count": 0
}